1/7/16

Summary of supported operating systems, SQL Server and Visual Studio by BizTalk Server

This article lists the versions of Windows, SQL Server, Visual Studio, and .NET Framework versions that are supported with Microsoft BizTalk Server 2006 R2 and newer.
Supported operating systems

BTS 2013 R2BTS 2013BTS 2010BTS 2009BTS 2006 R2
Windows XPNoNoNoYes, with Windows XP Service Pack 3Yes, with Windows XP Service Pack 2 or later service pack
Windows XP Professional, 64-Bit EditionNoNoNoYes, with Windows XP Service Pack 3Yes, with Windows XP Service Pack 2 or later service pack
Windows Server 2003NoNoNoYes, with Windows Server 2003 Service Pack 1 or later service packYes, with Windows Server 2003 Service Pack 1
Windows Server 2003, 64-Bit EditionNoNoNoYesYes
Windows Vista, including 64-bitNoNoYes, with Windows Vista Service Pack 2 or later service packYes, with Windows Vista Service Pack 1 or later service packYes
Windows Server 2008, including 64-bitNoNoYesYesNo
Windows 7, including 64-bitYes, with Windows 7 Service Pack 1 or later service packYes, with Windows 7 Service Pack 1 or later service packYesNoNo
Windows Server 2008 R2, including 64-bitNoYes, with Windows Server 2008 R2 Service Pack 1 or later service packYesNoNo
Windows Server 2012YesYesNoNoNo
Windows Server 2012 R2YesNoNoNoNo
Windows 8NoYesNoNoNo
Windows 8.1YesNoNoNoNo

Reference Microsoft Support Page: https://support.microsoft.com/en-us/kb/926628

Supported SQL Server


BTS 2013 R2BTS 2013BTS 2010BTS 2009BTS 2006 R2
SQL Server 2000NoNoNoNoYes, with SQL Server 2000 Service Pack 4
SQL Server 2000, 64-Bit EditionNoNoNoNoYes
SQL Server 2005, including 64-bitNoNoNoYes, with SQL Server 2005 Service Pack 2 or later service packYes
SQL Server 2008, including 64-bitNoNoYes, with SQL Server 2008 Service Pack 1 or later service packYesNo
SQL Server 2008 R2, including 64-bitNoYes, with SQL Server 2008 R2 Service Pack 1 or later service packYesNoNo
SQL Server 2012Yes, with SQL Server 2012 Service Pack 1YesNoNoNo
SQL Server 2014YesNoNoNoNo
SQL Server ExpressYes but not recommendedYes but not recommendedYes but not recommendedYes but not recommendedYes but not recommended

Supported Visual Studio


BTS 2013 R2BTS 2013BTS 2010BTS 2009BTS 2006 R2
Visual Studio versionVisual Studio 2013Visual Studio 2012Visual Studio 2010Visual Studio 2008 SP1 or later service packVisual Studio 2005
.NET Framework versionVisual Studio project target build: .Net Framework 4.5Visual Studio project target build: .Net Framework 4.5Visual Studio project target build: .Net Framework 4 or .Net Framework 3.5 SP1.Net Framework 3.5 SP1.Net Framework 3.0
BizTalk Runtime: .Net Framework 4.5.xBizTalk Runtime: .Net Framework 4.5.xBizTalk Runtime: .Net Framework 4.5.x (Only with CU7).Net Framework 2.0

For previous BizTalk Server versions, go to BizTalk Server: Operating System, SQL Server Version, and 64-bit Support.

No comments:

Post a Comment